'use strict';
define([
  'angular',
  'biz/yamoussoukro/modules/form/relationformfield/controllers/RelationFormFieldCtrl',
  'biz/yamoussoukro/modules/form/relationformfield/directives/RelationFormFieldDirective',
  'biz/yamoussoukro/modules/form/relationformfield/services/RelationFormFieldFactory',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(
  angular,
  RelationFormFieldCtrl,
  RelationFormFieldDirective,
  RelationFormFieldFactory
) {
  // generation du module
  var ff = angular.module('gc_relationformfield', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
    'model',
  ]);
  // ajout service

  // ajout controller
  ff.controller('RelationFormFieldCtrl', RelationFormFieldCtrl);
  // ajout directive
  ff.directive('relationformfielddirective', RelationFormFieldDirective);
  // ajout factory
  ff.factory('RelationFormFieldFactory', RelationFormFieldFactory);

  //route provider

  return ff;
});
